      REAL FUNCTION SIGMA(E)
C     ELASTIC SCATTERING
C     CROSS SECTION(CM^2)  :SIGMA
C     COLLISION ENERGY(KEV):E
        EMIN=2.00E-4
        EMAX=1.00
        ETH=0.0
        A1=2.930E-2
        A2=-1.030
        A3=3.280E+2
        A4=2.190
        A5=5.400E-3
        A6=7.920E-1
        ER=1.361E-2
        SIGMA0=1.E-16
        SIGMA=0.E0
        IF(E.LT.EMIN) GO TO 9999
        IF(E.GT.EMAX) GO TO 9999
        E1=E-ETH
        SIGMA=F1(SIGMA0,ER,E1,A1,A2)
     >       +F2(SIGMA0,ER,E1,A3,A4,A5,A6)
 9999 RETURN
      END
C
      REAL FUNCTION F1(SIGMA0,ER,X,C1,C2)
        F1=SIGMA0*C1*(X/ER)**C2
      RETURN
      END
C
      REAL FUNCTION F2(SIGMA0,ER,X,C1,C2,C3,C4)
        F2=SIGMA0*C1*(X/ER)**C2
     >     /(1.+(X/C3)**(C2+C4))
      RETURN
      END
C
      REAL FUNCTION F3(SIGMA0,ER,X,C1,C2,C3,C4,C5,C6)
        F3=SIGMA0*C1*(X/ER)**C2
     >     /(1.+(X/C3)**(C2+C4)+(X/C5)**(C2+C6))
      RETURN
      END

